| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::GeneralizedHough Class Referenceabstract
Image Processing » Structural Analysis and Shape Descriptors

finds arbitrary template in the grayscale image using Generalized Hough Transform More...

`#include <opencv2/imgproc.hpp>`

Inheritance diagram for cv::GeneralizedHough:

## Public Member Functions
virtual void | detect (InputArray image, OutputArray positions, OutputArray votes=noArray())=0
| find template on image More...
virtual void | detect (InputArray edges, InputArray dx, InputArray dy, OutputArray positions, OutputArray votes=noArray())=0
virtual int | getCannyHighThresh () const =0
virtual int | getCannyLowThresh () const =0
virtual double | getDp () const =0
virtual int | getMaxBufferSize () const =0
virtual double | getMinDist () const =0
virtual void | setCannyHighThresh (int cannyHighThresh)=0
| Canny high threshold. More...
virtual void | setCannyLowThresh (int cannyLowThresh)=0
| Canny low threshold. More...
virtual void | setDp (double dp)=0
| Inverse ratio of the accumulator resolution to the image resolution. More...
virtual void | setMaxBufferSize (int maxBufferSize)=0
| Maximal size of inner buffers. More...
virtual void | setMinDist (double minDist)=0
| Minimum distance between the centers of the detected objects. More...
virtual void | setTemplate (InputArray templ, Point templCenter=Point(-1, -1))=0
| set template to search More...
virtual void | setTemplate (InputArray edges, InputArray dx, InputArray dy, Point templCenter=Point(-1, -1))=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

finds arbitrary template in the grayscale image using Generalized Hough Transform

## Member Function Documentation

## ◆ detect() [1/2]

virtual void cv::GeneralizedHough::detect | ( | InputArray | image,
|  | OutputArray | positions,
|  | OutputArray | votes = `noArray()`
| ) |  |
| pure virtual

Python:
| positions, votes | = | cv.GeneralizedHough.detect( | image[, positions[, votes]] | )
| positions, votes | = | cv.GeneralizedHough.detect( | edges, dx, dy[, positions[, votes]] | )

find template on image

## ◆ detect() [2/2]

virtual void cv::GeneralizedHough::detect | ( | InputArray | edges,
|  | InputArray | dx,
|  | InputArray | dy,
|  | OutputArray | positions,
|  | OutputArray | votes = `noArray()`
| ) |  |
| pure virtual

Python:
| positions, votes | = | cv.GeneralizedHough.detect( | image[, positions[, votes]] | )
| positions, votes | = | cv.GeneralizedHough.detect( | edges, dx, dy[, positions[, votes]] | )

## ◆ getCannyHighThresh()

virtual int cv::GeneralizedHough::getCannyHighThresh | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHough.getCannyHighThresh( |  | )

## ◆ getCannyLowThresh()

virtual int cv::GeneralizedHough::getCannyLowThresh | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHough.getCannyLowThresh( |  | )

## ◆ getDp()

virtual double cv::GeneralizedHough::getDp | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHough.getDp( |  | )

## ◆ getMaxBufferSize()

virtual int cv::GeneralizedHough::getMaxBufferSize | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHough.getMaxBufferSize( |  | )

## ◆ getMinDist()

virtual double cv::GeneralizedHough::getMinDist | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHough.getMinDist( |  | )

## ◆ setCannyHighThresh()

virtual void cv::GeneralizedHough::setCannyHighThresh | ( | int | cannyHighThresh | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHough.setCannyHighThresh( | cannyHighThresh | )

Canny high threshold.

## ◆ setCannyLowThresh()

virtual void cv::GeneralizedHough::setCannyLowThresh | ( | int | cannyLowThresh | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHough.setCannyLowThresh( | cannyLowThresh | )

Canny low threshold.

## ◆ setDp()

virtual void cv::GeneralizedHough::setDp | ( | double | dp | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHough.setDp( | dp | )

Inverse ratio of the accumulator resolution to the image resolution.

## ◆ setMaxBufferSize()

virtual void cv::GeneralizedHough::setMaxBufferSize | ( | int | maxBufferSize | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHough.setMaxBufferSize( | maxBufferSize | )

Maximal size of inner buffers.

## ◆ setMinDist()

virtual void cv::GeneralizedHough::setMinDist | ( | double | minDist | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHough.setMinDist( | minDist | )

Minimum distance between the centers of the detected objects.

## ◆ setTemplate() [1/2]

virtual void cv::GeneralizedHough::setTemplate | ( | InputArray | templ,
|  | Point | templCenter = `Point(-1, -1)`
| ) |  |
| pure virtual

Python:
| None | = | cv.GeneralizedHough.setTemplate( | templ[, templCenter] | )
| None | = | cv.GeneralizedHough.setTemplate( | edges, dx, dy[, templCenter] | )

set template to search

## ◆ setTemplate() [2/2]

virtual void cv::GeneralizedHough::setTemplate | ( | InputArray | edges,
|  | InputArray | dx,
|  | InputArray | dy,
|  | Point | templCenter = `Point(-1, -1)`
| ) |  |
| pure virtual

Python:
| None | = | cv.GeneralizedHough.setTemplate( | templ[, templCenter] | )
| None | = | cv.GeneralizedHough.setTemplate( | edges, dx, dy[, templCenter] | )

The documentation for this class was generated from the following file:

- opencv2/imgproc.hpp